import { json } from 'd3';

const el = document.querySelector('p');
const endpoint =
  'https://api.data.netwerkdigitaalerfgoed.nl/datasets/ivo/NMVW/services/NMVW-12/sparql'
//Note that the query is wrapped in es6 template strings to allow for easy copy pasting
const query = `
PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>
PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
PREFIX dc: <http://purl.org/dc/elements/1.1/>
PREFIX dct: <http://purl.org/dc/terms/>
PREFIX skos: <http://www.w3.org/2004/02/skos/core#>
PREFIX edm: <http://www.europeana.eu/schemas/edm/>
PREFIX foaf: <http://xmlns.com/foaf/0.1/>
SELECT ?typeLabel ?placeName (COUNT(?cho) AS ?choCount) WHERE {
  # plaatsen in Afrika
  <https://hdl.handle.net/20.500.11840/termmaster6025> skos:narrower* ?place .
  ?place skos:prefLabel ?placeName .

  # subtypes onder beedlmateriaal
  <https://hdl.handle.net/20.500.11840/termmaster5929> skos:narrower* ?type .
  ?type skos:prefLabel ?typeLabel .

  ?cho edm:object ?type .
  ?cho dct:spatial ?place .

} GROUP BY ?typeLabel ?placeName
ORDER BY DESC(?choCount)
`

loadData(endpoint, query)

function loadData(url, query){
  d3.json(url + '?query=' + encodeURIComponent(query) + '&format=json').then(data => {
    el.innerText = JSON.stringify(data.results.bindings)
    console.log(data)
  })
}

